Get all bank accounts Run in API Explorer
Ask AI
This endpoint will return all bank accounts in the firm relevant to the user accessing them.
Query parameters
-
Comma separated list of relationships to include in the response. Valid relationships are [accounts, primary_accounts].
-
Filter by a comma separated list of UUIDs.
-
Filter by a comma separated list of account UUIDs.
-
Filter by a comma separated list of circle UUIDs.
-
Filter by name.
-
Field to sort by. Valid fields are [created_at, updated_at, account_name]. Negative sign to denote DESC. Defaults to 'created_at'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v2/bank-accounts
curl \
--request GET 'https://api.plannrcrm.com/api/v2/bank-accounts' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "5d176ef2-7be2-4287-a498-5fb2b661f828",
"created_at": "2026-11-16T13:00:53+00:00",
"updated_at": "2026-11-16T13:00:53+00:00",
"account_name": "Savings Account",
"account_holders": "Mr John A Smith",
"account_number": "12345678",
"sort_code": "123456",
"accounts": {
"uuid": "99aadc5b-c180-489c-8a13-37247303d176",
"created_at": "2026-11-16T13:00:53+00:00",
"updated_at": "2026-11-16T13:00:53+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "da4de829-57ae-478a-bf37-1414f7626c4f",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"primary_accounts": {
"uuid": "caee8c82-f436-45a8-9a88-d5057dc629d5",
"created_at": "2026-11-16T13:00:53+00:00",
"updated_at": "2026-11-16T13:00:53+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "da4de829-57ae-478a-bf37-1414f7626c4f",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
]
}